unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

//Documentation : http://msdn.microsoft.com/library/default.asp?url=/library/en-us/multimed/htm/_win32_mcisendstring.asp

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mmSystem; //Vous devez dcalarer l'unit "mmSystem"

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
Button1.Enabled:=False; //Inactive le bouton 1
mciSendString('open new type waveaudio alias monson',nil,0,Handle); //Initalisation
mciSendString('set monson time format ms bitspersample 8 channels 1 samplespersec 8000 bytespersec 8000',nil,0,Handle); //Rgles les diffrentes options du son
{bitspersample 8, bitspersample 16 : Nombre de bits par chantillon 8 ou 16 bits
channels 1, channels 2 : Mono, Streo
samplespersec 8000, :  8 KHz=8000, 11 KHz=11025, 22KHz=22050, 44KHz=44100
bytespersec 8000, bytespersec 16000, bytespersec 24000 : Nombre d'octects par secondes 8 , 16 ou 24 octets}
mciSendString('record monson',nil,0,Handle); //Commence l'enregistrement
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Button1.Enabled:=True; //Active le bouton 1
mciSendString('stop monson',nil,0,Handle); //Stop l'enregistrement
mciSendString(PChar('save monson '+Edit1.Text),nil,0,Handle); //Enregistre le son enregistrer dans un fichier WAV
mciSendString('close monson',nil,0,Handle); //Libre les ressources
end;

end.
